/*
 * JavaDataType.java
 * 
 * Created on 15-aug-2007, 13:34:50
 * 
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.beans.datatype;


/**
 *
 * @author dge2
 */
public enum JavaDataType {
    ARRAY           (java.sql.Array.class, SqlDataType.ARRAY, false),
    BIGDECIMAL      (java.math.BigDecimal.class, SqlDataType.DOUBLE, true),
    BOOLEAN         (java.lang.Boolean.class, SqlDataType.BOOLEAN, false),
    BYTEARRAY       (java.lang.Byte[].class, SqlDataType.BINARY, false),
    BLOB            (java.sql.Blob.class, SqlDataType.BLOB, false),
    CHAR            (java.lang.Character.class, SqlDataType.CHAR, false),
    CLOB            (java.sql.Clob.class, SqlDataType.CLOB, false),
    DATE            (java.util.Date.class, SqlDataType.TIMESTAMP, true),
    DOUBLE          (java.lang.Double.class, SqlDataType.DOUBLE, true),
    FLOAT           (java.lang.Float.class, SqlDataType.REAL, true),
    INTEGER         (java.lang.Integer.class, SqlDataType.INTEGER, true),
    LONG            (java.lang.Long.class, SqlDataType.BIGINT, true),
    REF             (java.lang.ref.Reference.class, SqlDataType.REF, false),
    STRING          (java.lang.String.class, SqlDataType.VARCHAR, true),
    SHORT           (java.lang.Short.class, SqlDataType.TINYINT, true),
    SQL_DATE        (java.sql.Date.class, SqlDataType.DATE, true),
    SQL_TIME        (java.sql.Time.class, SqlDataType.TIME, true),
    SQL_TIMESTAMP   (java.sql.Timestamp.class, SqlDataType.TIMESTAMP, true),
    URL             (java.net.URL.class, SqlDataType.DATALINK, false),
    OBJECT          (java.lang.Object.class, SqlDataType.OTHER, false)
    ;
    
    @SuppressWarnings("unchecked")
	private Class cls;
    private SqlDataType sqlDataType;
    private boolean comparable;
    
    @SuppressWarnings("unchecked")
	private JavaDataType(Class cls, SqlDataType sqlDataType, boolean comparable) {
        this.cls = cls;
        this.sqlDataType = sqlDataType;
        this.comparable = comparable;
    }
    
    @SuppressWarnings("unchecked")
	public Class getCls() {
        return cls;
    }
    
    public SqlDataType getSqlDataType() {
        return sqlDataType;
    }
    
    public boolean isComparable() {
    	return comparable;
    }
}
